package org.frameworkbioinfocpqgm.core;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.frameworkbioinfocpqgm.functions.Fasta;
import org.frameworkbioinfocpqgm.functions.FileIO;
import org.frameworkbioinfocpqgm.ui.Screen;

public class Brain {

    String[] args;

    public Brain(String[] args) {
        this.args = args;
    }

    //Este método inicia o funcionamento do objeto Brain.
    public void start() {
        thinkandmake();
    }

    //Neste método o objeto brain identifica o comando recebido e executa-o.
    public Boolean thinkandmake() {
        Boolean result = false;
        if (args.length > 0) {

            if ("help".equals(args[0])) {
                Screen.help();
                result = true;
            }

            if ("fasta".equals(args[0])) {
                if ("-count".equals(args[1])) {
                    if ("-sequences".equals(args[2])) {
                        int conta = 0;

                        //Pede ao usuário o caminho do arquivo fasta.
                        String caminho = Screen.getParameters("Digite o caminho do arquivo FASTA:");

                        try {

                            //Conta a quantidade de sequencias que este arquivo possui.
                            conta = Fasta.countSequences(caminho);
                            System.out.println("");
                            System.out.println("Existem " + conta + " sequencias neste arquivo.");
                            System.out.println("");
                            System.out.println("");
                        } catch (IOException ex) {
                            Logger.getLogger(Brain.class.getName()).log(Level.SEVERE, null, ex);
                        }

                    }
                }

                if ("-clean".equals(args[1])) {
                    if ("-sequences".equals(args[2])) {
                        if ("-id".equals(args[3])) {


                            String caminhofasta = Screen.getParameters("Digite o caminho do arquivo FASTA:");
                            String caminhoids = Screen.getParameters("Digite o caminho do arquivo de ID's:");
                            String caminhonovo = Screen.getParameters("Digite o caminho do novo arquivo de texto:");

                            if (Fasta.cleanSequencesperId(caminhofasta, caminhoids, caminhonovo)) {
                                System.out.println("");
                                System.out.println("Arquivo filtrado gerado com sucesso.");
                                System.out.println("");
                                System.out.println("");
                            }
                        }

                    }
                }
            }
        } else {
            args = new String[4];
            args[0] = "help";
            thinkandmake();
        }

        return result;
    }
}
