package org.frameworkbioinfocpqgm.functions;

import java.io.*;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

public class FileIO {

    public static List<String> lerArquivo(String caminho) throws IOException {
        List<String> lista = new ArrayList<String>();
        try {
            FileReader arq = new FileReader(caminho);
            BufferedReader lerArq = new BufferedReader(arq);

            String linha = lerArq.readLine(); // lê a primeira linha
            // a variável "linha" recebe o valor "null" quando o processo
            // de repetição atingir o final do arquivo texto
            while (linha != null) {
                lista.add(linha); // lê da segunda até a última linha
                linha = lerArq.readLine();
            }

            arq.close();
            return lista;
        } catch (IOException e) {
            System.err.printf("Erro na abertura do arquivo: %s.\n", e.getMessage());
            return null;
        }
    }

    public static Boolean escreverArquivo(String conteudo, String caminhoarquivo) {

        try {
            FileWriter x = new FileWriter(caminhoarquivo, true);
            x.write(conteudo + '\n'); // armazena o texto no objeto x, que aponta para o arquivo             
            x.close(); // cria o arquivo              

        } catch (Exception ee) {
            return false;
        }

        return true;

    }
}
